Delete a notification channel.
curl --request DELETE \
--url https://api.timbal.ai/orgs/{org_id}/notifications/channels/{channel_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"force": true
}'import requests
url = "https://api.timbal.ai/orgs/{org_id}/notifications/channels/{channel_id}"
payload = { "force": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({force: true})
};
fetch('https://api.timbal.ai/orgs/{org_id}/notifications/channels/{channel_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Notifications
Delete channel
Delete a notification channel for the organization.
DELETE
/
orgs
/
{org_id}
/
notifications
/
channels
/
{channel_id}
Delete a notification channel.
Removes the channel; rule–channel links drop automatically. Rules may remain with no channels. Org admin only. 204 on success.
Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Body
application/json
Optional force-delete flag.
When true, delete even if rules reference this channel (cascading unlink).
Response
Channel deleted
⌘I